import request from '@/benyun/utils/request'

//查询物料SKU
export function queryMaterialSku(query) {
    return request({
        url: '/maindata/maindataMaterialSku/queryMaterialSku',
        method: 'get',
        params: query
    })
}

// 查询生命周期列表
export function listLifeCycle(query) {
    return request({
        url: '/omsOrder/lifeCycle/list',
        method: 'get',
        params: query
    })
}

// 查询生命周期详细
export function getLifeCycle(id) {
    return request({
        url: '/omsOrder/lifeCycle/' + id,
        method: 'get'
    })
}

// 新增生命周期
export function addLifeCycle(data) {
    return request({
        url: '/omsOrder/lifeCycle',
        method: 'post',
        data: data
    })
}

// 修改生命周期
export function updateLifeCycle(data) {
    return request({
        url: '/omsOrder/lifeCycle',
        method: 'put',
        data: data
    })
}

// 删除生命周期
export function delLifeCycle(id) {
    return request({
        url: '/omsOrder/lifeCycle/' + id,
        method: 'delete'
    })
}
